import request from '@/utils/request'

// 分页查询库存变动记录列表
export function pageListCkchange(query) {
  return request({
    url: '/jxc/ckchange/pageList',
    method: 'get',
    params: query
  })
}

// 查询库存变动记录列表
export function listCkchange(query) {
  return request({
    url: '/jxc/ckchange/list',
    method: 'get',
    params: query
  })
}

// 查询库存变动记录详细
export function getCkchange(id) {
  return request({
    url: '/jxc/ckchange/' + id,
    method: 'get'
  })
}

// 新增库存变动记录
export function addCkchange(data) {
  return request({
    url: '/jxc/ckchange',
    method: 'post',
    data: data
  })
}

// 修改库存变动记录
export function updateCkchange(data) {
  return request({
    url: '/jxc/ckchange',
    method: 'put',
    data: data
  })
}

// 删除库存变动记录
export function delCkchange(id) {
  return request({
    url: '/jxc/ckchange/' + id,
    method: 'delete'
  })
}

// 导出库存变动记录
export function exportCkchange(query) {
  return request({
    url: '/jxc/ckchange/' + 'export',
    method: 'post',
    params: query
  })
}
